Bug 822770 - replace in project-wide search intermittently not displayed in editor unless page is refreshed
replace in project-wide search intermittently not displayed in editor unless ...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
medium Severity low
: ---
: 1.6
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 01:57 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joyce Chang 2012-05-18 01:57:17 EDT
Description of problem 
a replace from project-wide search won't work unless the page is refreshed 
This problem arises randomly but mostly like happens when result entries rendered by project-wide search are within one document. 

Version-Release number of selected component (if applicable):
1.6.0-beta-2

How reproducible:
always

Steps to Reproduce:
1.visit a project with one document only
2.pick up a word from translated text
3.search that word using "Project wide search and replace"
4.type "replace" in "Replace with:" field
5.click replace on result entries
6.click "view in editor"
  
Actual results:
target entry remained unchanged

Expected results:
text "replace" replaced the word you picked in the target entry 

Additional info:
if search results are existing more one document, this issue is less likely to happen
Comment 1 David Mason 2012-05-28 21:28:00 EDT
Note that this bug is about the replaced text not being displayed in the editor view - the replacement displays correctly in the search-replace view.
Comment 3 Ding-Yi Chen 2012-06-07 01:15:08 EDT
Verified with Zanata version 1.6.1-SNAPSHOT (20120606-0019)

Note You need to log in before you can comment on or make changes to this bug.